petsc-3.4.2 2013-07-02

# MatSetValuesRow

Inserts a row (block row for BAIJ matrices) of nonzero values into a matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetValuesRow(Mat mat,PetscInt row,const PetscScalar v[])

Not Collective

### Input Parameters

| mat | - the matrix
| row | - the (block) row to set
| v | - a logically two-dimensional array of values

### Notes

The values, v, are column-oriented for the block version.

All the nonzeros in the row must be provided

THE MATRIX MUSAT HAVE PREVIOUSLY HAD ITS COLUMN INDICES SET. IT IS RARE THAT THIS ROUTINE IS USED, usually MatSetValues() is used.

The row must belong to this process

### See Also

MatSetOption(), MatAssemblyBegin(), MatAssemblyEnd(), MatSetValuesBlocked(), MatSetValuesLocal(),
InsertMode, INSERT_VALUES, ADD_VALUES, MatSetValues()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages